; States file for {character} -- Specials
;
;---------------------------------------------------------------------------
; Vars:
;   0: for Super Jump (0=vertical, 1=forward, -1=backward)
;   1: keep track of power level (for levelup sounds)
;  50: Desperation quote ("DANGER!" or whatever)
;  59: AI flag
; Helpers:
;   0: superjump opponent position indicator
; Explods:
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; Special Attacks Ahead
;---------------------------------------------------------------------------

;------------------------------
; Special 1 - Dazzled - Weak
[StateDef 1000]
type = S
movetype = A
physics = S
anim = 1000
ctrl = 0
velset = 0,0

; sfx
[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = S9,1

;Body Effect
[State 0, Explod]
type = Explod
trigger1 = time = 5
anim = 1020
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 10
supermove
pausemove
scale = 1,1
sprpriority = 1
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

;flash
[State 0, AllPalFX]
type = AllPalFX
trigger1 = time = 7
time = 1
add = 255,255,255

;projectile
[State 0, Projectile]
type = Projectile
trigger1 = time = 15
projanim = 1012
projhitanim = 1013
projremanim = 1012
projcancelanim = 1012
projscale = 1,1
projremove = 1
projremovetime = -1
velocity = 8,0
remvelocity = 0,0
accel = 0,0
velmul = 1
projhits = 1
projmiss
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
attr = S, SP
damage = 50,4
hitsound = S13,0
sparkno = -1
sparkxy = 0,0
animtype = Medium
guardflag = MA
pausetime = 0,9
ground.type = Low
ground.slidetime = 14
ground.hittime  = 16
ground.velocity = -8
offset = 10,-75
postype = p1         ;p2,front,back,left,right
supermove
pausemove

[State 1000, changestate]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;------------------------------
; Special 1 - Dazzled - Medium
[StateDef 1010]
type = S
movetype = A
physics = S
anim = 1001
ctrl = 0
velset = 0,0

; sfx
[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = S9,1

;Body Effect
[State 0, Explod]
type = Explod
trigger1 = time = 5
trigger2 = time = 35
anim = 1020
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 5
supermove
pausemove
scale = 1,1
sprpriority = 1
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

;flash
[State 0, AllPalFX]
type = AllPalFX
trigger1 = time = 7
trigger2 = time = 27
time = 1
add = 255,255,255

;projectile
[State 0, Projectile]
type = Projectile
trigger1 = time = 15
trigger2 = time = 35
projanim = 1012
projhitanim = 1013
projremanim = 1012
projcancelanim = 1012
projscale = 1,1
projremove = 1
projremovetime = -1
velocity = 8,0
remvelocity = 0,0
accel = 0,0
velmul = 1
projhits = 1
projmiss
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
attr = S, SP
damage = 50,4
hitsound = S13,0
sparkno = -1
sparkxy = 0,0
animtype = Medium
guardflag = MA
pausetime = 0,9
ground.type = Low
ground.slidetime = 14
ground.hittime  = 16
ground.velocity = -8
offset = 10,-75
postype = p1         ;p2,front,back,left,right
supermove
pausemove

[State 1000, changestate]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


;------------------------------
; Special 1 - Dazzled - Strong
[StateDef 1020]
type = S
movetype = A
physics = S
anim = 1002
ctrl = 0
velset = 0,0

; sfx
[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = S9,1

;Body Effect
[State 0, Explod]
type = Explod
trigger1 = time = 5
trigger2 = time = 35
trigger3 = time = 55
anim = 1020
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 5
supermove
pausemove
scale = 1,1
sprpriority = 1
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

;flash
[State 0, AllPalFX]
type = AllPalFX
trigger1 = time = 7
trigger2 = time = 17
trigger3 = time = 27
time = 1
add = 255,255,255

;projectile
[State 0, Projectile]
type = Projectile
trigger1 = time = 15
trigger2 = time = 35
trigger3 = time = 55
projanim = 1012
projhitanim = 1013
projremanim = 1012
projcancelanim = 1012
projscale = 1,1
projremove = 1
projremovetime = -1
velocity = 8,0
remvelocity = 0,0
accel = 0,0
velmul = 1
projhits = 1
projmiss
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
attr = S, SP
damage = 50,4
hitsound = S13,0
sparkno = -1
sparkxy = 0,0
animtype = Medium
guardflag = MA
pausetime = 0,9
ground.type = Low
ground.slidetime = 14
ground.hittime  = 16
ground.velocity = -8
offset = 10,-75
postype = p1         ;p2,front,back,left,right
supermove
pausemove

[State 1000, changestate]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;--------
; Special 2 -- LightBlast!
[StateDef 1030]
type = S
movetype = A
physics = S
anim = 1005
ctrl = 0
velset = 0,0

; sfx
[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = S13,1

;flash
[State 0, AllPalFX]
type = AllPalFX
trigger1 = animelem = 3
time = 1
add = 255,255,255

;Body Effect
[State 0, Explod]
type = Explod
trigger1 = animelem = 3
anim = 1021
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = -1
removetime = 10
supermove
pausemove
scale = 1,1
sprpriority = 1
ontop = 0
shadow = 0,0,0
ownpal = 0
removeongethit = 0

[State 0, Projectile]
type = Projectile
trigger1 = time = 0
projanim = 1011
projhitanim = 1011
projremanim = 1011
projcancelanim = 1011
projscale = 1,1
projremove = 1
projremovetime = 80
velocity = 0,0
remvelocity = 0,0
accel = 0,0
velmul = 1
projhits = 1
projmiss
projpriority = 1
projsprpriority = 3
projedgebound = 40
projstagebound = 40
projheightbound = -240
attr = S, SP
bindtime = -1
damage = 50,4
hitsound = S13,0
sparkno = -1
sparkxy = 0,0
animtype = Medium
guardflag = MA
pausetime = 0,9
ground.type = Low
ground.slidetime = 14
ground.hittime  = 16
ground.velocity = -8
offset = 15,-25
postype = p1         ;p2,front,back,left,right
supermove
pausemove
removeongethit = 1

[State 1000, changestate]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Finish Hit Explod (based on FlowaGirl and Ethan Lives codes)
; (taken with permission from McCready's StrongGuy char)
[Statedef 8900]
type = S
movetype = I
physics = N
anim = 8930

;[State 8900, 1]
;type = Pause
;trigger1 = (!Time)
;time = 12
;movetime = 12

[State 8900, 1]
type = EnvShake
trigger1 = (!Time)
time = 12
freq = 120;10
ampl = -3;2
phase = 90

[State 8900, 2]
type = Explod
triggerall = (NumExplod(8900) < 1)
trigger1 = Time = 0
persistent = 0
anim = 8900
ID = 8900
postype = left
pos = 0, 0
velocity = 0, 0
accel = 0, 0
removetime = -2
sprpriority = -4
bindtime = -1
ontop = 1
ownpal = 1
supermovetime = 1000
pausemovetime = 1000
ignorehitpause = 1

[State 8900, 3]
type = PlaySnd
trigger1 = (NumExplod(8900) != 0)
value = 30, 0
persistent = 0
supermovetime = 1000
pausemovetime = 1000
ignorehitpause = 1

[State 8900, done]
type = DestroySelf
trigger1 = RoundState = 4

